> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/korean/development/api-reference/enums/soundplaystate.md).

# SoundPlayState

## Overview

SoundPlayState는 사운드의 재생 상태 변화 원인을 나타내는 Enum입니다. Sound 객체의 재생, 일시정지, 정지 등 상태 변경 이벤트에서 상태 변화의 원인을 구별하는 데 사용됩니다.

## Items

| Name              | Value | Description                                 |
| ----------------- | ----- | ------------------------------------------- |
| Played            | 0     | `Play()` 메서드를 통해 사운드 재생이 시작된 상태입니다.         |
| Resumed           | 1     | `Resume()` 메서드를 통해 사운드 재생이 재개된 상태입니다.       |
| Paused            | 2     | `Pause()` 메서드를 통해 사운드가 일시정지된 상태입니다.         |
| Stopped           | 3     | `Stop()` 메서드를 통해 사운드가 정지된 상태입니다.            |
| ResumedByProperty | 4     | `Playing` 속성을 true로 설정하여 사운드 재생이 재개된 상태입니다. |
| PausedByProperty  | 5     | `Playing` 속성을 false로 설정하여 사운드가 일시정지된 상태입니다. |
| Ended             | 6     | 사운드가 끝까지 재생되어 자동으로 종료된 상태입니다.               |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/enums/soundplaystate.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
